package com.mortals.xhx.module.window.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.window.model.vo.WindowMatterVo;
/**
 * 窗口事项实体对象
 *
 * @author zxfei
 * @date 2022-01-20
 */

public class WindowMatterEntity extends WindowMatterVo {
    private static final long serialVersionUID = 1L;

    /**
     * 窗口ID
     */
    private Long windowId;
    /**
     * 窗口名称
     */
    private String windowName;
    /**
     * 站点事项ID
     */
    private Long siteMatterId;
    /**
     * 事项名称
     */
    private String matterName;
    /**
     * 部门ID
     */
    private Long deptId;
    /**
     * 部门名称
     */
    private String deptName;
    /**
     * 是否显示 (1.是，0.否)
     */
    private Integer isShow;
    /**
     * 排序
     */
    private Integer sort;



    public WindowMatterEntity(){}
    /**
     * 获取 窗口ID
     * @return Long
     */
    public Long getWindowId(){
        return windowId;
    }
    /**
     * 设置 窗口ID
     * @param windowId
     */
    public void setWindowId(Long windowId){
        this.windowId = windowId;
    }
    /**
     * 获取 窗口名称
     * @return String
     */
    public String getWindowName(){
        return windowName;
    }
    /**
     * 设置 窗口名称
     * @param windowName
     */
    public void setWindowName(String windowName){
        this.windowName = windowName;
    }
    /**
     * 获取 站点事项ID
     * @return Long
     */
    public Long getSiteMatterId(){
        return siteMatterId;
    }
    /**
     * 设置 站点事项ID
     * @param siteMatterId
     */
    public void setSiteMatterId(Long siteMatterId){
        this.siteMatterId = siteMatterId;
    }
    /**
     * 获取 事项名称
     * @return String
     */
    public String getMatterName(){
        return matterName;
    }
    /**
     * 设置 事项名称
     * @param matterName
     */
    public void setMatterName(String matterName){
        this.matterName = matterName;
    }
    /**
     * 获取 部门ID
     * @return Long
     */
    public Long getDeptId(){
        return deptId;
    }
    /**
     * 设置 部门ID
     * @param deptId
     */
    public void setDeptId(Long deptId){
        this.deptId = deptId;
    }
    /**
     * 获取 部门名称
     * @return String
     */
    public String getDeptName(){
        return deptName;
    }
    /**
     * 设置 部门名称
     * @param deptName
     */
    public void setDeptName(String deptName){
        this.deptName = deptName;
    }
    /**
     * 获取 是否显示 (1.是，0.否)
     * @return Integer
     */
    public Integer getIsShow(){
        return isShow;
    }
    /**
     * 设置 是否显示 (1.是，0.否)
     * @param isShow
     */
    public void setIsShow(Integer isShow){
        this.isShow = isShow;
    }
    /**
     * 获取 排序
     * @return Integer
     */
    public Integer getSort(){
        return sort;
    }
    /**
     * 设置 排序
     * @param sort
     */
    public void setSort(Integer sort){
        this.sort = sort;
    }




    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof WindowMatterEntity) {
            WindowMatterEntity tmp = (WindowMatterEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",windowId:").append(getWindowId());
        sb.append(",windowName:").append(getWindowName());
        sb.append(",siteMatterId:").append(getSiteMatterId());
        sb.append(",matterName:").append(getMatterName());
        sb.append(",deptId:").append(getDeptId());
        sb.append(",deptName:").append(getDeptName());
        sb.append(",isShow:").append(getIsShow());
        sb.append(",sort:").append(getSort());
        return sb.toString();
    }

    public void initAttrValue(){

        this.windowId = null;

        this.windowName = null;

        this.siteMatterId = null;

        this.matterName = null;

        this.deptId = null;

        this.deptName = null;

        this.isShow = 1;

        this.sort = 0;
    }
}